/api/v1/businessProfil entreprise
Antworten
- 200OK
Integrieren Sie die FastFaktura-Rechnungsstellung in Ihre Tools: Kunden, Rechnungen, Versand und PDFs über eine einfache REST-API. Sandbox-Konten simulieren echten Versand und verwenden Stripe im Testmodus.
https://app.fastfaktura.io/api/v1Erzeugen Sie einen API-Schlüssel in Ihren Kontoeinstellungen und rufen Sie die API dann mit dem X-Api-Key-Header auf.
curl -X POST https://app.fastfaktura.io/api/v1/invoices \
-H "X-Api-Key: ffk_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"client_id": "1f0c4a9e-…",
"currency": "EUR",
"lines": [
{ "description": "Consulting", "quantity": 1, "unit_price_cents": 50000, "tax_rate": 20 }
]
}'Jede Anfrage muss Ihren API-Schlüssel enthalten, entweder im X-Api-Key-Header oder als Bearer-Token. Beide Methoden sind gleichwertig.
curl https://app.fastfaktura.io/api/v1/clients \ -H "X-Api-Key: ffk_xxxxxxxx"
curl https://app.fastfaktura.io/api/v1/clients \ -H "Authorization: Bearer ffk_xxxxxxxx"
/api/v1/businessProfil entreprise
/api/v1/businessMise à jour du profil
/api/v1/clientsListe des clients
pagequery | integer | |
qquery | string | Recherche nom/email/téléphone |
/api/v1/clientsCréation client
/api/v1/clients/{id}Détail client
/api/v1/clients/{id}Édition client
/api/v1/clients/{id}Archivage client (pas de suppression définitive)
/api/v1/invoicesListe des factures
pagequery | integer | |
statusquery | string |
/api/v1/invoicesCréation facture (avec lignes)
| Feld | Typ | Beschreibung |
|---|---|---|
client_iderforderlich | uuid | |
currencyerforderlich | string | |
due_date | string | null | |
notes | string | null | |
lineserforderlich | InvoiceLine[] |
/api/v1/invoices/{id}Détail facture + lignes + événements
/api/v1/invoices/{id}/pdfPDF de la facture
/api/v1/invoices/{id}/sendEnvoi (email / sms / lien), mode normal ou rappel
| Feld | Typ | Beschreibung |
|---|---|---|
channelserforderlich | string[] | |
reminder | boolean |
/api/v1/invoices/{id}/eventsTimeline d'événements
Struktur der von der API akzeptierten und zurückgegebenen Objekte.
| Feld | Typ | Beschreibung |
|---|---|---|
id | uuid | |
name | string | |
email | string | null | |
phone | string | null | E.164 |
address | string | null | |
country | string | null | |
locale | string | frennbsv |
external_id | string | null | |
tags | string[] | |
archived_at | string | null |
| Feld | Typ | Beschreibung |
|---|---|---|
descriptionerforderlich | string | |
quantityerforderlich | number | |
unit_price_centserforderlich | integer | Centimes |
tax_rateerforderlich | number | Pourcentage (ex. 20) |
| Feld | Typ | Beschreibung |
|---|---|---|
id | uuid | |
number | string | |
client_id | uuid | |
currency | string | EURUSDGBPNOKSEKDKK |
subtotal_cents | integer | |
tax_cents | integer | |
total_cents | integer | |
status | string | draftsentopenedpaidoverduecancelled |
due_date | string | null | |
public_url | string |